Bug 38103 - [DRT/Chromium] Enable Windows project generation
Summary: [DRT/Chromium] Enable Windows project generation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Windows Vista
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 35902
  Show dependency treegraph
 
Reported: 2010-04-25 23:24 PDT by Kent Tamura
Modified: 2010-04-27 21:58 PDT (History)
4 users (show)

See Also:


Attachments
Proposed patch (2.31 KB, patch)
2010-04-25 23:29 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff
Proposed patch (rev.2) (2.31 KB, patch)
2010-04-25 23:33 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2010-04-25 23:24:30 PDT
[DRT/Chromium] Enable Windows project generation
Comment 1 Tony Chang 2010-04-25 23:28:17 PDT
On my machine, I just switched from system.Platform() to sys.platform.  Also, roland says that on Windows 7 system.Platform() works, so the crash in system.Platform() might be Vista specific.
Comment 2 Kent Tamura 2010-04-25 23:29:18 PDT
Created attachment 54258 [details]
Proposed patch
Comment 3 Tony Chang 2010-04-25 23:30:39 PDT
Comment on attachment 54258 [details]
Proposed patch

WebKit/chromium/gyp_webkit:80
 +    if sys.platform == 'Linux2':
Nit: I think this has to be lowercase to match.

Otherwise, LGTM.
Comment 4 Kent Tamura 2010-04-25 23:33:30 PDT
Created attachment 54259 [details]
Proposed patch (rev.2)
Comment 5 Kent Tamura 2010-04-25 23:34:11 PDT
(In reply to comment #3)
>  +    if sys.platform == 'Linux2':
> Nit: I think this has to be lowercase to match.

You're right!  Fixed.
Comment 6 Shinichiro Hamaji 2010-04-25 23:46:56 PDT
Comment on attachment 54259 [details]
Proposed patch (rev.2)

rs=me as per Tony's LGTM.
Comment 7 Kent Tamura 2010-04-26 00:33:55 PDT
Comment on attachment 54259 [details]
Proposed patch (rev.2)

Clearing flags on attachment: 54259

Committed r58237: <http://trac.webkit.org/changeset/58237>
Comment 8 Kent Tamura 2010-04-26 00:34:05 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 WebKit Review Bot 2010-04-26 00:44:43 PDT
http://trac.webkit.org/changeset/58237 might have broken Chromium Linux Release
Comment 10 Kent Tamura 2010-04-26 01:29:59 PDT
Reopened because I rolled out r58237.

Probably Chromium/Linux bot should have libglu1-mesa-dev, or Chromium code should use third_party/mesa/.
Comment 11 Kent Tamura 2010-04-27 18:06:05 PDT
Dimitri kindly updated packages on Chromium Linux bot.
I'll commit the patch again.
Comment 12 Kent Tamura 2010-04-27 21:49:33 PDT
(In reply to comment #11)
> Dimitri kindly updated packages on Chromium Linux bot.
> I'll commit the patch again.

r58341 already bumped the Chromium revision to r45696.
I'll commit only the gyp_webkit and ChangeLog changes.
Comment 13 Kent Tamura 2010-04-27 21:53:39 PDT
Committed r58377: <http://trac.webkit.org/changeset/58377>